/*
 * ReturnHomeBehavior.java
 * 
 * Copyright 2009 by RidgeSoft, LLC., PO Box 482, Pleasanton, CA 94566, U.S.A.
 * www.ridgesoft.com
 * 
 * RidgeSoft grants you the right to use, modify, make derivative works and
 * redistribute this source file provided you do not remove this copyright
 * notice.
 */

import com.ridgesoft.robotics.Navigator;
import com.ridgesoft.robotics.NavigatorListener;

public class ReturnHomeBehavior implements Behavior, NavigatorListener {
    private Navigator navigator;
    private long returnHomeTime;
    private boolean isActive;

    public ReturnHomeBehavior(Navigator navigator, int returnHomeAfterSeconds) {
        this.navigator = navigator;
        returnHomeTime = System.currentTimeMillis() + returnHomeAfterSeconds
                * 1000;
        isActive = false;
    }

    public boolean poll() {
        if (System.currentTimeMillis() < returnHomeTime)
            return false;

        if (isActive)
            navigator.moveTo(0.0f, 0.0f, this);

        return true;
    }

    public void setActive(boolean isActive) {
        this.isActive = isActive;
    }

    public void navigationOperationTerminated(boolean completed) {
        if (completed)
            System.exit(0);
    }
}
