/*
 * ShaftEncoderTest.java
 * 
 * Copyright 2009 by RidgeSoft, LLC., PO Box 482, Pleasanton, CA  94566, U.S.A.
 * www.ridgesoft.com
 *
 * RidgeSoft grants you the right to use, modify, make derivative works and
 * redistribute this source file provided you do not remove this copyright notice.
 */

import com.ridgesoft.intellibrain.IntelliBrain;
import com.ridgesoft.io.Display;
import com.ridgesoft.robotics.AnalogInput;
import com.ridgesoft.robotics.ShaftEncoder;

public class ShaftEncoderTest {
    public static void main(String args[]) {
        Display display = IntelliBrain.getLcdDisplay();

        AnalogInput leftWheelSensor = IntelliBrain.getAnalogInput(4);
        AnalogInput rightWheelSensor = IntelliBrain.getAnalogInput(5);

        ShaftEncoder leftEncoder = new AnalogShaftEncoder(leftWheelSensor, 250,
                750, 30, Thread.MAX_PRIORITY);
        ShaftEncoder rightEncoder = new AnalogShaftEncoder(rightWheelSensor,
                250, 750, 30, Thread.MAX_PRIORITY);

        while (true) {
            display.print(0, "L enc: " + leftEncoder.getCounts());
            display.print(1, "R enc: " + rightEncoder.getCounts());
            try {
                Thread.sleep(1000);
            }
            catch (Exception e) {
            }
        }
    }
}