/*
 * WheelSensorTest.java
 * 
 * Copyright 2009 by RidgeSoft, LLC., PO Box 482, Pleasanton, CA  94566, U.S.A.
 * www.ridgesoft.com
 *
 * RidgeSoft grants you the right to use, modify, make derivative works and
 * redistribute this source file provided you do not remove this copyright notice.
 */

import com.ridgesoft.intellibrain.IntelliBrain;
import com.ridgesoft.io.Display;
import com.ridgesoft.robotics.AnalogInput;

/**
 * This class is an example program that demonstrates sampling and displaying
 * wheel sensor readings.
 */
public class WheelSensorTest {
    public static void main(String args[]) {
        Display display = IntelliBrain.getLcdDisplay();

        AnalogInput leftWheelSensor = IntelliBrain.getAnalogInput(4);
        AnalogInput rightWheelSensor = IntelliBrain.getAnalogInput(5);

        while (true) {
            display.print(0, "Left:  " + leftWheelSensor.sample());
            display.print(1, "Right: " + rightWheelSensor.sample());
            try {
                Thread.sleep(1000);
            }
            catch (Exception e) {
            }
        }
    }
}